<?php
add_action('init', 'my_custom_init_services');
function my_custom_init_services() 
{
  $labels = array(
    'name' => _x('Services', 'post type general name'),
    'singular_name' => _x('Services', 'post type singular name'),
    'add_new' => _x('Add Service', 'service'),
    'add_new_item' => __('Add New Service'),
    'edit_item' => __('Edit '),
    'new_item' => __('New Service'),
    'view_item' => __('View Service'),
    'search_items' => __('Search services'),
    'not_found' =>  __('No services found'),
    'not_found_in_trash' => __('No services found in Trash'), 
    'parent_item_colon' => ''
  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'query_var' => true,
    'rewrite' => true,
    'capability_type' => 'post',
    'hierarchical' => false,
    'menu_position' => null,
    'supports' => array('title','editor','author','thumbnail','excerpt','comments')
  ); 
  register_post_type('service',$args);
	
	/***************************************************************/
	/* services Post Type Custom Meta, here used to add a category */
	
	register_taxonomy( 'service-category', 'service', array( 'hierarchical' => true, 'label' => 'Categories', 'query_var' => true, 'rewrite' => true ) );  
}

//add filter to insure the text service, or service, is displayed when user updates a service 
add_filter('post_updated_messages', 'service_updated_messages');
function service_updated_messages( $messages ) {
global $post;

  $messages['service'] = array(
    0 => '', // Unused. Messages start at index 1.
    1 => sprintf( __('Product updated. <a href="%s">View service</a>'), esc_url( get_permalink($post->ID) ) ),
    2 => __('Custom field updated.'),
    3 => __('Custom field deleted.'),
    4 => __('Product updated.'),
    /* translators: %s: date and time of the revision */
    5 => isset($_GET['revision']) ? sprintf( __('Product restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
    6 => sprintf( __('Product published. <a href="%s">View service</a>'), esc_url( get_permalink($post->ID) ) ),
    7 => __('Product saved.'),
    8 => sprintf( __('Product submitted. <a target="_blank" href="%s">Preview service</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post->ID) ) ) ),
    9 => sprintf( __('Product scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview service</a>'),
      // translators: Publish box date format, see http://php.net/date
      date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post->ID) ) ),
    10 => sprintf( __('Product draft updated. <a target="_blank" href="%s">Preview service</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post->ID) ) ) ),
  );

  return $messages;
}
?>
