<?php
class ocmx_services_widget extends WP_Widget {
    /** constructor */
    function ocmx_services_widget() {
        parent::WP_Widget(false, $name = "(Obox) Services", array("description" => "Home Page Widget - Lists services exerpts and icons."));	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
		if( isset( $instance["post_count"] ) )
			$post_count = $instance["post_count"];
		if( isset( $instance["excerpt"] ) )
			$excerpt = esc_attr($instance["excerpt"]);
		if( isset( $instance["show_images"] ) )
			$show_images = $instance["show_images"];
		if( isset( $instance["show_excerpts"] ) )
			$show_excerpts = $instance["show_excerpts"];
		if( isset( $instance["post_thumb"] ) )
			$post_thumb = $instance["post_thumb"];
		
		//Set the post Aguments and Query accordingly
		$count = 0;
		$numposts = 0;
		$ocmx_posts = new WP_Query("&orderby=date&order=ASC&post_type=service&posts_per_page=".$post_count);  ?>
		
        <?php echo $before_widget; ?>
            <ul class="services-list clearfix">
                <?php while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
                    global $post;					
                    $service_price = get_post_meta($post->ID, "service_price", true);
                    $service_link = get_post_meta($post->ID, "service_link", true);
                    $purchase_label = get_post_meta($post->ID, "purchase_label", true);								
                    $services_page = get_template_link("services.php");
                    if(!empty($services_page)) :
                        $link = get_permalink($services_page->ID);
                    else :
                        $link = get_permalink($post->ID);
                    endif; 
					$args  = array( 'postid' => $post->ID, 'width' => 300, 'height' => 169, 'hide_href' => false, 'exclude_video' => true, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '300x169' );
					$image = get_obox_media( $args );
                    $icon = get_post_meta($post->ID, "icon", true);			
                    if($count == 3) : 
						echo "</ul><ul class=\"services-list clearfix\">"; $count = 0;
					endif;
                    if(isset($show_images) && $show_images != "on" || $image == "") : $maxlen = 120; else : $maxlen = 75; endif;  ?>
                    <li>
                    	<?php if (isset($show_images) && $show_images == "on") : ?>
                 			<?php if($post_thumb != "true" && $icon !='') : ?>
                        		<img class="service-list-icon" src="<?php echo $icon; ?>" alt="" />
                        	<?php elseif($post_thumb != "false" && $image !='') : echo $image; endif;?>
						<?php endif; ?>
                        <h3 class="post-title"><a href="<?php echo $link; ?>?view-service=<?php echo $post->post_name; ?>"><?php the_title(); ?></a></h3>
                        <?php if(isset($show_excerpts) && $show_excerpts == "on") :
                            if($post->post_excerpt != "") :
                               the_excerpt("");
                            else :
                                the_content("");
                            endif;
                        endif; ?>
                    </li>				
                <?php $count++; endwhile; ?>
            </ul>
		<?php echo $after_widget; ?>
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
		if( isset( $instance["post_count"] ) )
			$post_count = $instance["post_count"];
		if( isset( $instance["excerpt"] ) )
			$excerpt = esc_attr($instance["excerpt"]);
		if( isset( $instance["show_images"] ) )
			$show_images = $instance["show_images"];
		if( isset( $instance["show_excerpts"] ) )
			$show_excerpts = $instance["show_excerpts"];
		if( isset( $instance["post_thumb"] ) )
			$post_thumb = $instance["post_thumb"];
?>
	<p>
        <label for="<?php echo $this->get_field_id('post_count'); ?>">Post Count</label>
        <select size="1" class="widefat" id="<?php echo $this->get_field_id('comment_count'); ?>" name="<?php echo $this->get_field_name('post_count'); ?>">
            <?php $i = 3;
			while($i < 13) :?>
				<option <?php if(isset($post_count) && $post_count == $i) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
			<?php $i=($i+3);
			endwhile; ?>
        </select>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('show_images'); ?>">
            <input type="checkbox" <?php if(isset($show_images) && $show_images == "on") : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_images'); ?>" name="<?php echo $this->get_field_name('show_images'); ?>">
            Show Images?
        </label>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('post_thumb'); ?>">Image Type</label>
        <select size="1" class="widefat" id="<?php echo $this->get_field_id('post_thumb'); ?>" name="<?php echo $this->get_field_name('post_thumb'); ?>">
				<option <?php if($post_thumb == "true") : ?>selected="selected"<?php endif; ?> value="true">Post Feature Image</option>
				<option <?php if($post_thumb == "false") : ?>selected="selected"<?php endif; ?> value="false">Icon</option>
        </select>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('show_excerpts'); ?>">
            <input type="checkbox" <?php if(isset($show_excerpts) && $show_excerpts == "on") : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_excerpts'); ?>" name="<?php echo $this->get_field_name('show_excerpts'); ?>">
            Show Excerpts
        </label>
    </p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("ocmx_services_widget");'));

?>