<?php
class feature_posts_widget extends WP_Widget {
	/** constructor */
	function feature_posts_widget() {
		parent::WP_Widget(false, $name = "(Obox) Slider", array("description" => "Display fading posts and images from a specific category"));	
	}

	/** @see WP_Widget::widget */
	function widget( $args, $instance ) {		
		extract( $args );
		$defaults = array('display_limit' => '', 'auto_interval' => '' ); 
		$instance = wp_parse_args( (array) $instance, $defaults );
		
		
		if( isset( $instance["posttype"] ))
			$posttype = esc_attr($instance["posttype"] );
		if( isset( $instance["portfolio_category"] ))
			$portfolio_category = $instance["portfolio_category"];
		if( isset( $instance["post_category"] ))
			$use_category = $instance["post_category"];
		if( isset( $instance["display_limit"] ))
			$display_limit = $instance["display_limit"];
		if( isset( $instance["slider_dots"] ))
			$slider_dots = $instance["slider_dots"];
		
		$cat_id = "";
		if( isset( $instance["portfolio_category"] ) && $instance["portfolio_category"] != "0") :
			$cat_id = "portfolio-category=".$portfolio_category."&";
		elseif( isset($use_category) && $use_category !="0") :		
			$use_cat = get_category_by_slug( $use_category );
			$cat_id = "cat=".$use_cat->term_id."&";
			$the_cat_title = $use_cat->name;
		else :
			$cat_id = 0;
		endif;
		if( isset( $instance["post_thumb"]) )
			$post_thumb = $instance["post_thumb"];
		if( isset( $post_thumb ) && $post_thumb == "true" ):
			$post_thumb = 1;
		else :
			$post_thumb = 0;		
		endif;
		
		if( isset( $instance["auto_interval"]))
			$auto_interval = $instance["auto_interval"];

			
		$ocmx_posts = new WP_Query( $cat_id."posts_per_page=" . $display_limit. "&post_type=" .$posttype );
		//Set the post Aguments and Query accordingly
		$count = 1; ?>  
		 
	<div class="slider clearfix">
		<ul class="gallery-container gallery-image">
			<?php while ( $ocmx_posts->have_posts()) : $ocmx_posts->the_post(); 
				global $post;
				$args  = array( 'postid' => $post->ID, 'width' => 980, 'height' => 551, 'hide_href' => true, 'exclude_video' => $post_thumb, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '980x551' );
				$image = get_obox_media( $args );
				$link = get_post_meta( $post->ID, 'slider_link', true );
				if( $link == "" )
					$link = get_permalink($post->ID); ?>   		
				<li>
					<?php if($image !="") : ?>
						<div class="fitvid">
							<a href="<?php echo $link; ?>">
								<?php echo $image; ?>
							</a>
						</div>
					<?php endif; ?>
				</li>
			<?php 
				$count++;
			endwhile; ?>
		</ul>
	   <?php if( $auto_interval == "0" || $auto_interval == ""&& $count > 2 ) : ?>
			<a href="#" class="next">Next</a>
			<a href="#" class="previous">Previous</a>
		<?php endif; ?>
	   
	   <?php if( $slider_dots == 1 ) : ?>			
		<?php else : ?>	
		<div class="slider-dots">
			<?php for( $i=1; $i < $count; $i++ ) : ?>
				<a href="#" rel="<?php echo ( $i-1 ); ?>" class="dot <?php if( $i == 1 ) : ?>dot-selected<?php endif; ?>"><?php echo $i; ?></a>
			<?php endfor; ?>
		</div>
		 
		<?php endif; ?>
		<div id="slider-number-<?php echo $use_category; ?>" class="no_display">0</div>
		<div id="slider-auto-<?php echo $use_category; ?>" class="no_display"><?php echo $auto_interval; ?></div>
	</div>
	
<?php
	}

	/** @see WP_Widget::update */
	function update($new_instance, $old_instance) {
		return $new_instance;
	}

	/** @see WP_Widget::form */
	function form($instance) {
		$defaults = array( 'title' => '', 'hide_title' => '', 'display_limit' => '', 'auto_interval' => '', 'posttype' => 'post' ); 
		$instance = wp_parse_args( (array) $instance, $defaults );
		if( isset( $instance["posttype"] ) )
			$posttype = esc_attr($instance["posttype"] );
		if( isset( $instance["portfolio_category"] ) )
			$portfolio_category = $instance["portfolio_category"];
		if( isset( $instance["post_category"] ) )
			$post_category = $instance["post_category"];
		if( isset( $instance["post_thumb"] ) )
			$post_thumb = $instance["post_thumb"];
		if( isset( $instance["display_limit"] ) )
			$display_limit = $instance["display_limit"];
		if( isset( $instance["slider_dots"] ) )
			$slider_dots = $instance["slider_dots"];
		if( isset( $instance["auto_interval"] ) )
			$auto_interval= $instance["auto_interval"];
?>

		<p><?php _e("Click Save after each selection to load the next filter.", "ocmx"); ?> </p> 	
		<p><label for="<?php echo $this->get_field_id('posttype'); ?>">Display</label>
			<select size="1" class="widefat" id="<?php echo $this->get_field_id("posttype"); ?>" name="<?php echo $this->get_field_name("posttype"); ?>">
				<option <?php if(isset($posttype) && $posttype != "portfolio"){echo "selected=\"selected\"";} ?> value="post">Blog Posts</option>
				<option <?php if(isset($posttype) && $posttype == "portfolio"){echo "selected=\"selected\"";} ?> value="portfolio">Portfolio</option>
			</select>
		</p>
		
	<?php if(isset($posttype) && $posttype != "portfolio") : ?>
		<p><label for="<?php echo $this->get_field_id('post_category'); ?>">Posts Category</label>
		   <select size="1" class="widefat" id="<?php echo $this->get_field_id("post_category"); ?>" name="<?php echo $this->get_field_name("post_category"); ?>">
				<option <?php if(isset($post_category) == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
				<?php
						$category_args = array('hide_empty' => false);
						$option_loop = get_categories($category_args);
						foreach($option_loop as $option_label => $value)
							{ 	
								// Set the $value and $label for the options
								$use_value =  $value->slug;
								$label =  $value->cat_name;
								//If this option == the value we set above, select it
								if($use_value == $instance["post_category"])
									{$selected = " selected='selected' ";}
								else
									{$selected = " ";}
				?>
								<option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
				<?php 
							}
				?>
			</select>
		</p>
	<?php else : ?>
		<p><label for="<?php echo $this->get_field_id('portfolio_category'); ?>">Portfolio Category</label>
		   <select size="1" class="widefat" id="<?php echo $this->get_field_id("portfolio_category"); ?>" name="<?php echo $this->get_field_name("portfolio_category"); ?>">
				<option <?php if(isset($portfolio_category) && $portfolio_category == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
				<?php
						$cat_list = get_terms("portfolio-category", "orderby=count&hide_empty=0");
						foreach($cat_list as $option_label => $value)
							{ 	
								// Set the $value and $label for the options
								$use_value =  $value->slug;
								$label =  $value->name;
								//If this option == the value we set above, select it
								if($use_value == $instance["portfolio_category"])
									{$selected = " selected='selected' ";}
								else
									{$selected = " ";}
				?>
								<option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
				<?php 
							}
				?>
			</select>
		</p>
	<?php endif; ?>
		 <p><label for="<?php echo $this->get_field_id('display_limit'); ?>">Post Count</label>
			<select size="1" class="widefat" id="<?php echo $this->get_field_id('display_limit'); ?>" name="<?php echo $this->get_field_name('display_limit'); ?>">
				<?php for($i = 1; $i < 10; $i++) : ?>
					<option <?php if($display_limit == $i) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
				<?php endfor; ?>
			</select>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('post_thumb'); ?>">Thumbnails</label>
			<select size="1" class="widefat" id="<?php echo $this->get_field_id('post_thumb'); ?>" name="<?php echo $this->get_field_name('post_thumb'); ?>">
					<option <?php if(isset($post_thumb) && $post_thumb == "true") : ?>selected="selected"<?php endif; ?> value="true">Post Feature Image</option>
					<option <?php if(isset($post_thumb) && $post_thumb == "false") : ?>selected="selected"<?php endif; ?> value="false">Videos</option>
			</select>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('slider_dots'); ?>">Slider Dots</label>
			<select size="1" class="widefat" id="<?php echo $this->get_field_id('slider_dots'); ?>" name="<?php echo $this->get_field_name('slider_dots'); ?>">
					<option <?php if(isset($slider_dots) && $slider_dots == "1") : ?>selected="selected"<?php endif; ?> value="1">Hide Sider Dots</option>
					<option <?php if(isset($slider_dots) && $slider_dots == "2") : ?>selected="selected"<?php endif; ?> value="2">Show Slider Dots</option>
			</select>
		</p>
		<p><label for="<?php echo $this->get_field_id('auto_interval'); ?>">Auto Slide Interval (seconds)<input class="shortfat" id="<?php echo $this->get_field_id('auto_interval'); ?>" name="<?php echo $this->get_field_name('auto_interval'); ?>" type="text" value="<?php if(isset($auto_interval)) {echo $auto_interval;} ?>" /><br /><em><?php _e("(Set to 0 for no auto-sliding. For best results, do not enable auto-slide if videos are shown.)","ocmx"); ?></em></label></p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("feature_posts_widget");'));

?>