<?php 
/* 
Template Name: Portfolio List 
*/

get_header(); 

// Fetch the Portfolio Categories
$cat_list = get_terms( "portfolio-category", "orderby=title&hide_empty=0" );
$parentpage = get_template_link("portfolio.php");
$layout = get_post_meta( $post->ID, "layout", true );
if( $layout == "one-column" ) :
	$nextul = 1;
elseif( $layout == "two-column" ) :
	$nextul = 2;
else :
	$nextul = 3;
endif;
$i = 1; ?>

<div class="title-block">
    <h2 class="section-title"><?php the_title(); ?></h2>
    <?php if ( get_option( "ocmx_portfolio_links" ) != "false" ) : ?>
    <!--Show the Category Links unless unchecked in Theme Options -->
        <ul class="portfolio-categories">
            <?php foreach( $cat_list as $tax ) :
                $link = get_term_link($tax->slug, "portfolio-category");
                echo "<li><a href=\"$link\">".$tax->name."</a></li>";
            endforeach; ?>
        </ul>
    <?php endif; ?>
</div>

<div class="content">
    <?php foreach ( $cat_list as $cat ) : 
    
		$args = array(
			"post_type" => 'portfolio',
			"posts_per_page" => '-1',
			"tax_query" => array(
				array(
					"taxonomy" => 'portfolio-category',
					"field" => "slug",
					"terms" => $cat->slug
				)
			)
		);
	
		$posts = new WP_Query($args);
    
		if ( $posts->have_posts() ) : 
			$link = get_term_link($cat->slug, "portfolio-category");?>
	    	<h4 class="portfolio-category-title"><a href="<?php echo $link; ?>"><?php echo $cat->name; ?></a></h4>
        	<ul class="portfolio-list <?php echo $layout; ?>">
            	<?php while ( $posts->have_posts()) : $posts->the_post();
					if( $i > $nextul )
                        echo "\n\t</ul>\n\t<ul class=\"portfolio-list $layout\">"; $i = 1;
                    get_template_part("/functions/portfolio-list");
                    $i++;
                endwhile; ?>
        	</ul>
    <?php endif;
	endforeach; ?>
</div>

<?php get_footer(); ?>