<?php 
// Fetch the Portfolio Categories
$term = get_term_by( 'slug', get_query_var('term' ), get_query_var( 'taxonomy' ) );
$cat_list = get_terms( "portfolio-category", "orderby=title&hide_empty=0" );
$parentpage = get_template_link("portfolio.php");
$layout = get_post_meta($parentpage->ID, "layout", true);

if( $layout == "two-column") :
	$nextul = 2;
elseif( $layout == "three-column" ) :
	$nextul = 3;
else :
	$nextul = 4;
endif;
$i = 1;
$args = array( 
	"post_type" => "portfolio", 
	"post_status" => "publish", 
	"showposts" => "-1",
	"tax_query" => array(
		array(
			'taxonomy' => 'portfolio-category',
			'field' => 'slug',
			'terms' => $term->slug
		)
	)
);

$portfolio = new WP_Query($args);
get_header();
?>

<div class="title-block">
	<h2 class="section-title"><a href="<?php echo get_permalink( $parentpage->ID ); ?>"><?php echo $parentpage->post_title; ?></a> <span>/ <?php echo $term->name; ?></span></h2>
	<?php if ( get_option( "ocmx_portfolio_links" ) != "false" ) : ?>
    <!--Show the Category Links unless unchecked in Theme Options -->
		<ul class="portfolio-categories">
            <li><a href="<?php echo get_permalink( $parentpage->ID ); ?>"><?php _e("All", "ocmx"); ?></a></li>
            <?php foreach( $cat_list as $tax ) :
                $link = get_term_link($tax->slug, "portfolio-category");
                $class = "";
                if( $tax->term_id == $term->term_id )
                    $class = "class=\"selected\"";
                echo "<li><a href=\"$link\" $class>".$tax->name."</a></li>";
            endforeach; ?>
        </ul>
    <?php endif; ?>    
</div>


<div class="content">
        <ul class="<?php echo $layout ;?> portfolio-list clearfix">
            <?php while ($portfolio->have_posts() ) : $portfolio->the_post();
                get_template_part("functions/portfolio-list"); ?>
            <?php endwhile; ?>
        </ul> 
</div>
<?php get_footer(); ?>